Bug 1017776 - Deploying the Cartridge Development Kit is not possible
Deploying the Cartridge Development Kit is not possible
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
1.x
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:35 EDT by Sebastian Lütge
Modified: 2017-05-31 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Lütge 2013-10-10 09:35:10 EDT
Description of problem:
Following the guide at https://www.openshift.com/developers/download-cartridges i wanted to try installing the CDK to see what it brings to the table. Unfortunately, I was unable to install the cartridge because of the following error:
# rhc create-app cdk http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
The cartridge 'http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8' will be downloaded and installed
Password: ********

Application Options
-------------------
  Namespace:  ns
  Cartridges: http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
  Gear Size:  default
  Scaling:    no

Creating application 'cdk' ... Unexpected error: CLIENT_ERROR: Download of 'http://cdk-claytondev.rhcloud.com/archive/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8/cdk.zip' exceeded Content-Length of 9728. Download aborted.

When trying to download the zip file via browser (to check if it is available and not corrupted) I did not get a download, but the content of the zip file as text. Checking the response header for the request I found the following:
Response Header
Connection             Keep-Alive
Content-Encoding       gzip
Content-Length         9728
Content-Type           text/html;charset=utf-8
Date                   Thu, 10 Oct 2013 12:33:44 GMT
Keep-Alive             timeout=15, max=98
Vary                   Accept-Encoding
X-Content-Type-Options nosniff
X-FRAME-OPTIONS        SAMEORIGIN
X-XSS-Protection       1; mode=block


Version-Release number of selected component (if applicable):
Unknown (latest)

How reproducible:
Try to install the CDK as an app using it's cartridge URL http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8.

Steps to Reproduce:
1. Execute rhc create-app cdk http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8 against a local installation of OpenShift Origin. Or try to create an App throught the web console (again on a local installation, both are untested on rhcloud).

Actual results:
The above error message.

Expected results:
A new application that has the CDK cartridge as its base.

Additional info:
This forum thread was created to discuss the issue before this bug was filed: https://www.openshift.com/forums/openshift/cant-install-cartridge-in-openshift-origin
Comment 1 Paul Morie 2013-11-07 10:12:47 EST
I cannot reproduce this issue in a devenv.
Comment 2 Qiushui Zhang 2013-11-08 02:26:13 EST
Tested on devenv_4003.
I can create the app successfully:

[openshift@dhcp-10-143 tmp]$ rhc create-app cdk http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
The cartridge 'http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8' will be downloaded
and installed

Application Options
-------------------
  Domain:     qiuzhang
  Cartridges: http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
  Gear Size:  default
  Scaling:    no

Creating application 'cdk' ... done

  The CDK is configured with password ZTNiMGM0NDI5OGZjMWMxNDlhZmJmNGM4OTk2ZmI5MjQyN2FlNDFlNDY0OWI5MzRjYTQ5NT for builds (use 'admin' as the user)

Waiting for your DNS name to be available ... done

Cloning into 'cdk'...
Warning: Permanently added 'cdk-qiuzhang.dev.rhcloud.com' (RSA) to the list of known hosts.

Your application 'cdk' is now available.

  URL:        http://cdk-qiuzhang.dev.rhcloud.com/
  SSH to:     527c91a87df7577913000110@cdk-qiuzhang.dev.rhcloud.com
  Git remote: ssh://527c91a87df7577913000110@cdk-qiuzhang.dev.rhcloud.com/~/git/cdk.git/
  Cloned to:  /home/openshift/tmp/cdk

Run 'rhc show-app cdk' for more details about your app.


Mark the bug as verified.
Comment 3 Siegfried Chaisson 2014-03-12 11:17:24 EDT
Just repoduced it on the demo VirtualMachine :

$ rhc create-app cdk http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
The cartridge 'http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8' will be downloaded and installed
Password: ********

Application Options
-------------------
Domain:     demo
Cartridges: http://cdk-claytondev.rhcloud.com/manifest/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8
Gear Size:  default
Scaling:    no

Creating application 'cdk' ... 
Unexpected error: CLIENT_ERROR: Download of 'http://cdk-claytondev.rhcloud.com/archive/2ccd7a3a7762e4ebb873c0d64a247b180e0600b8/cdk.zip' exceeded
Content-Length of 9728. Download aborted.

My environment :
Running the last openshift origin virtual machine download on virtualBox.


I found that in cartridge_repository.rb :

if content_length && content_length < total
                  raise Net::HTTPBadResponse.new("CLIENT_ERROR: Download of '#{uri}' exceeded Content-Length of #{content_length}. Download aborted.")
end




Is there a way to configure the content_lenght to match some private content lengths ?

The code above looks like controlling something with tha content_length in node repo, but i did'nt found yet the way to set this value in the good way...

Thanks for help !
Comment 4 Fabiano Franz 2014-04-08 12:48:57 EDT
This is related to Origin, not Online and is still being reported. Reopening to investigate against a local installation of Origin. 

Reported on:

http://stackoverflow.com/questions/22913507/unexpected-error-client-error-on-openshift
https://www.openshift.com/forums/openshift/cant-install-cartridge-in-openshift-origin
Comment 5 Eric Paris 2017-05-31 14:22:11 EDT
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.

Note You need to log in before you can comment on or make changes to this bug.